Source: python-cotengrust
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/jcmgray/cotengrust
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cotengrust.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cotengrust
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 librust-bit-set-dev,
 librust-ordered-float-dev,
 librust-pep440-rs-dev,
 librust-pyo3-dev,
 librust-rand-dev,
 librust-rustc-hash-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-maturin,
 python3-pytest <!nocheck>,
 python3-setuptools-rust,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-cotengrust
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Fast contraction ordering primitives for tensor networks
 `cotengrust` provides fast rust implementations of contraction
 ordering primitives for tensor networks or einsum expressions.
 The two main functions are `optimize_optimal(inputs, output, size_dict,
 **kwargs)` and `optimize_greedy(inputs, output, size_dict, **kwargs)`.
